<html>
<head>
<title>Sharing Software, IBM to Release Mail Program Blueprint</title>
<base href="http://www.nytimes.com/library/tech/98/12/biztech/articles/14blue.html">
<meta name="slug"   content="BC-IBM-EMAIL-NYT">
<meta name="date" content="19981213">
<meta name="length" content="0651">
<meta name="byline" content="By JOHN MARKOFF">
<meta name="headline" content="IBM to Release Original Instructions of E-Mail Program">
</head>
<NYT_HEADER version="1.0" type="main">
<body bgcolor="#ffffff">
<table border=0 cellpadding=0 cellspacing=0>
<td align=left valign=top width=60><br></td>
<td align=left valign=top width=480>
<NYT_BANNER version="1.0" type="index">
<a href="/yr/mo/day/tech/"><img src="/images/1bantech.gif" border=0 WIDTH=468 HEIGHT=40 alt="Technology"></a>
</NYT_BANNER> 
<br clear=all>
<NYT_TOOLBARMAP version="1.0" type="main">
<map name="maintoolbar2"> 
<area shape="rect" coords="0,0,75,16" href="/yr/mo/day/"
onMouseOver="window.status='Click to go to the Home Page';return true">
<area shape="rect" coords="76,0,154,16" href="/info/contents/siteindex.html"
onMouseOver="window.status='Click to see site contents';return true">
<area shape="rect" coords="155,0,233,16" href="/search/daily/"
onMouseOver="window.status='Click to search the current site';return true">
<area shape="rect" coords="234,0,312,16" href="/comment/"
onMouseOver="window.status='Click for discussion in the Forums';return true">
<area shape="rect" coords="313,0,391,16" href="/archives/"
onMouseOver="window.status='Click to search the archives';return true">
<area shape="rect" coords="392,0,468,16" href="/marketplace/"
onMouseOver="window.status='Click to visit the Marketplace';return true">
</map>

</NYT_TOOLBARMAP>
<NYT_TOOLBAR version="1.0" type="main">
<a href="/images/maintoolbar2.map"> 
<img src="http://graphics.nytimes.com/images/maintoolbar2.gif" border="0" alt="toolbar" ismap usemap=#maintoolbar2 width="468" height="16"></a>

</NYT_TOOLBAR>
<br><NYT_AD version="1.0" location="top">

<A HREF="http://ads.nytimes.com/RealMedia/ads/click_lx.ads/www.nytimes.com/library/tech/98/12/biztech/articles/14blue.html/0/Top/evconf03/brain-468.gif/776965747365" target="_top"><IMG SRC="http://ads.nytimes.com/RealMedia/ads/adstream_lx.ads/www.nytimes.com/library/tech/98/12/biztech/articles/14blue.html/0/Top/evconf03/brain-468.gif/776965747365" BORDER=0  WIDTH=468 HEIGHT=60 ALT="" ></A>

</NYT_AD>
</td></table>

</NYT_HEADER>
<BLOCKQUOTE><BLOCKQUOTE>
<NYT_DATE version="1.0" type=" ">
<!--ELEMENT DATE-->
<H5>December 14, 1998</H5><br>

</NYT_DATE>
<NYT_HEADLINE version="1.0" type=" ">
<!--ELEMENT HEADLINE-->
<H2>Sharing Software, IBM to Release Mail Program Blueprint</H2>

</NYT_HEADLINE>
<NYT_BYLINE version="1.0" type=" ">
<!--ELEMENT BYLINE-->
<h5>By JOHN MARKOFF</h5>

</NYT_BYLINE>
<p>   <img src="http://graphics.nytimes.com/images/a.gif" align=left alt=A>dding momentum to the open-source movement for the free sharing
of software, <a href=#1>IBM</a> plans Monday to make available the original
programmer's instructions for a new mail program that can be used
to store and forward e-mail messages with a high level of security.
<p>   The program, Secure Mailer, serves as an electronic post office
for server computers connected to the Internet. It was developed by
Wietse Venema, an IBM researcher and computer security specialist.
Executives said they were using the free, open-source model of
software distribution to insure that the program would be widely
available on the dozens of kinds of computers that are used to
route Internet mail traffic.
<p><NYT_LINKS_ONSITE version="1.0" type="main">
<table align=right border=0 cellpadding=0 cellspacing=0>
<td width=10><br></td>
<td valign=top width=140>
<hr size=1>
<font size=-1>
<b>Related Articles</b><br>
<A href="/library/tech/98/12/cyber/articles/07netscape.html">Netscape to Release New Browser Engine to Developers</a><br>(Dec. 7, 1998)
<p>
<a href="/library/tech/98/04/biztech/articles/13freeware.html">Sentiment Growing for Freeware</a><br>(April 13, 1998)
<hr size=1></font>
</table>
<!-- @ --> 
</NYT_LINKS_ONSITE> 
   The open source model of software development, pioneered by a
loosely affiliated group of expert programmers, is built on
universal sharing of the programmer's original written instructions
to the computer. In traditional, proprietary development models,
those instructions are hidden because they have been compiled into
the binary 1s and 0s that computers understand.
<p>   The open-source model has been gaining popularity in the last
year based on the success of the free Linux operating system, and
in recent months several major technology corporations have
endorsed part or all of the idea.
<p>   "This is IBM's Christmas present to the Internet," said Abner
Germanow, a computer security analyst at the International Data
Corp., a market research firm. "For these are core pieces of
software, and we're going beyond trying to make money off of them,
to the idea that by freely sharing them it will make the world a
better place."
<p>   Like many big companies, the International Business Machines
Corp. seems to be cautiously feeling its way toward an open-source
strategy. Secure Mailer follows by just a week the company's
release of the source code for a compiler, the tool used by
software developers to transform instructions written in a
programming language into the computer's binary machine code.
<p>   In addition, IBM is making its software compatible with Apache,
a popular open-source Web server program, and earlier this year it
announced plans to make a version of its DB2 relational data base
program available for the open-source Linux operating system.
<p>   "We're still trying to understand exactly what open source
means," said Paul Horn, vice president for research. "It
obviously plays an important role where standards are critical, but
what it means to IBM is still under formulation."
<p>   Secure Mailer offers an alternative to several other freely
available programs that route Internet mail, including Sendmail and
Q Mail, as well as to commercial programs like Microsoft's
Exchange.
<p>   Currently about 70 percent of all e-mail worldwide is handled by
<a href=#1>Sendmail</a>, a program that has been developed over more than a decade
and supported by a programmer named Eric Allman and a loose group
of colleagues. Recently, Allman started a company to develop a
commercial version of the program.
<p>   IBM researchers said one of the drawbacks to Sendmail was that
it had been written as a large, monolithic piece of software. As a
result it has both performance and security limitations.
<p>   In contrast, Venema has developed Secure Mailer as a cluster of
modules, all of which distrust each other. This creates a more
secure program. The program could be compared to a ship that has
many independent compartments and therefore is harder to sink, he
said.
<p>   Charles Palmer, who manages a computer security research group
at IBM's T.J. Watson Research Laboratory, said that enabling other
programmers to look at all the original instructions written by the
program's author would give them a high degree of confidence in the
security of a program.
<p>   <p><NYT_LINKS_OFFSITE version="1.0" type="main"><a name=1></a><hr size=1><b>Related Sites</b><br>
 <font size=-1>These sites are not part of The New York Times on the Web, and The Times has no control over their content or availability.</font><p><ul></NYT_LINKS_OFFSITE>

<p><li><a href="http://www.ibm.com">IBM</a>
<p><li><a href="http://www.sendmail.com">Sendmail</a>

</ul>



<NYT_FOOTER version="1.0">
</BLOCKQUOTE></BLOCKQUOTE>
<br>
<table border=0 cellpadding=0 cellspacing=0>
<td align=left valign=top width=60><br></td>
<td align=center valign=top width=468>
<NYT_AD version="1.0" location="bottom">

<A HREF="http://ads.nytimes.com/RealMedia/ads/click_lx.ads/www.nytimes.com/library/tech/98/12/biztech/articles/14blue.html/0/Bottom/evconf03/brain-468b.gif/776965747365" target="_top"><IMG SRC="http://ads.nytimes.com/RealMedia/ads/adstream_lx.ads/www.nytimes.com/library/tech/98/12/biztech/articles/14blue.html/0/Bottom/evconf03/brain-468b.gif/776965747365" BORDER=0  WIDTH=468 HEIGHT=60 ALT="" ></A>

</NYT_AD>
<hr size=1>
<P>
<font size=-1>
<NYT_TOOLBAR version="1.0" type="main">
<A HREF="/"><B>Home</B></A> | 
<A HREF="/info/contents/siteindex.html"><B>Site Index</B></A> | 
<A HREF="/search/daily/"><B>Site Search</B></A>  | 
<A HREF="/comment/"><B>Forums</B></A>  | 
<A HREF="/archives/"><B>Archives</B></A> | 
<A HREF="/marketplace/"><B>Marketplace</B></A>
<P>
<A HREF="/yr/mo/day/late/">Quick News</A>  | 
<A HREF="/yr/mo/day/front/">Page One Plus</A>  | 
<A HREF="/yr/mo/day/world/">International</A>  | 
<A HREF="/yr/mo/day/national/">National/N.Y.</A>   | 
<A HREF="/yr/mo/day/business/">Business</A>   | 
<A HREF="/yr/mo/day/tech/">Technology</A>  | 
<A HREF="/yr/mo/day/science/">Science</A>   | 
<A HREF="/yr/mo/day/sports/">Sports</A>   | 
<A HREF="/weather/">Weather</A>  | 
<A HREF="/yr/mo/day/editorial/">Editorial</A>    | 
<A HREF="/yr/mo/day/oped/">Op-Ed</A> | 
<A HREF="/yr/mo/day/artleisure/">Arts</A>   | 
<A HREF="/yr/mo/day/auto/">Automobiles</A>   | 
<A HREF="/books/yr/mo/day/home/">Books</A>  | 
<A HREF="/diversions/">Diversions</A>   | 
<A HREF="/yr/mo/day/jobmarket/">Job Market</A>   | 
<A HREF="/yr/mo/day/realestate/">Real Estate</A>  | 
<A HREF="/yr/mo/day/travel/">Travel</A> 
<P>
<A HREF="/subscribe/help/">Help/Feedback</A>  | 
<A HREF="/classified/">Classifieds</A>   | 
<A HREF="/info/contents/services.html">Services</A>   | 
<A HREF="http://www.nytoday.com">New York Today</A> 

</NYT_TOOLBAR>
<NYT_COPYRIGHT version="1.0" type="main">
<P>
<A HREF="/subscribe/help/copyright.html"><B>Copyright 1998 The New York Times Company</B></A>
<P>

</NYT_COPYRIGHT>
</font>
</td></table>

</NYT_FOOTER>

</body>
</html>


